package com.uas.sso.web;

import java.util.logging.Logger;

import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;

/**
 * 配置启动监听
 */
public class SSOConfigListener implements ServletContextListener {

	protected static final Logger logger = Logger.getLogger(SSOConfigListener.class.getName());

	/**
	 * 初始化
	 */
	public void contextInitialized(ServletContextEvent sce) {
		new SSOConfigurer().init(sce.getServletContext());
	}

	/**
	 * 销毁
	 */
	public void contextDestroyed(ServletContextEvent sce) {
		logger.info("Uninstalling SSO");
	}

}
